Subject: Re: Metal Buyers Mart

From: [email-masked] (James Kirkpatrick)
Date: 12 Sep 96 09:15:34 MDT

In article <[email-masked]>, Lynn Holt <[email-masked]> writes:
|>	Could you plesae tell me who MSC is. I can't seem to find them on the
|>net so I'm looking for an 800 number
|>
|>Lynn Holt
|>[email-masked]
|>Running Linux on the Big Island of Hawaii

>From  the FAQ:

   -  MSC Industrial Supply Co.
      151 Sunnyside Blvd
      Plainview, NY  11803
      (800) 645-7270, (800) 255-5067 FAX, (516) 349-0265 FAX
      http://www.industry.net/msc

      Their 95/96 catalog is 3325 pages, and their selection has been
      described as "dumbfounding".  They claim same-day shipping and seem
      to meet this goal.  I realize non-US callers can't phone US 800
      numbers, MSC suggests using the second FAX number above.  Also,
      their NY branch is at (516) 349-0330 if you're non-US and need to
      talk to somebody.  The catalog is free.